// Week11_TeamMate.c
#include <stdio.h>
#include <string.h>

#define MAX_PLAYER  5
#define STR_LENGTH 20

void read_players(char [][STR_LENGTH+1], int [], char []);
void print_players(char [][STR_LENGTH+1], int [], char []);
int search_teammate(char [][STR_LENGTH+1], int [], char [], char []);

int main(void) {
	char names[MAX_PLAYER][STR_LENGTH+1];
	int  ages[MAX_PLAYER];
	char genders[MAX_PLAYER];
	char player_name[STR_LENGTH+1];
	int  result;

	read_players(names, ages, genders);
	print_players(names, ages, genders);

	printf("Enter a player's name: ");
	scanf("%s", player_name);
	result = search_teammate(names, ages, genders, player_name);

	printf("\n");
	if (result == -2)
		printf("No such player %s.\n", player_name);
	else if (result == -1)
		printf("Sorry, we cannot find a teammate for %s!\n", player_name);
	else
		printf("%s's compatible teammate is %s.\n", player_name, names[result]);

	return 0;
}

// Read information of players 
void read_players(char names[][STR_LENGTH+1], int ages[], char genders[]) {
	int i;

	printf("Enter %d players' info:\n", MAX_PLAYER);
	for (i=0; i<MAX_PLAYER; i++) {
		scanf("%s %d %c", names[i], &ages[i], &genders[i]);
	}
}

// Print players' information
void print_players(char names[][STR_LENGTH+1], int ages[], char genders[]) {
	int i;

	printf("\nThe list of players are:\n");
	printf("Name\tAge\tGender\n");
	for (i=0; i<MAX_PLAYER; i++) {
		printf("%s\t%d\t%c\n", names[i], ages[i], genders[i]);
	}
}

// Search for a player's compatible teammate
// Return index in array if compatible teammate found, or
//        -1 if compatible teammate not found, or
//        -2 if player not found
int search_teammate(char names[][STR_LENGTH+1], int ages[], char genders[], 
                    char player_name[]) {

	// Fill in the code


	return 999;
}

